1) Remove unused kconfig options.
2) Correct UMA graphics PCI device ID.

Signed-off-by: Scott Duplichan <scott@notabs.org>

Index: src/mainboard/amd/persimmon/Kconfig
===================================================================
--- src/mainboard/amd/persimmon/Kconfig	(revision 6551)
+++ src/mainboard/amd/persimmon/Kconfig	(working copy)
@@ -22,8 +22,6 @@
 config BOARD_SPECIFIC_OPTIONS # dummy
         def_bool y
   select ARCH_X86
-        select DIMM_DDR3
-        select DIMM_UNREGISTERED
   select CPU_AMD_AGESA_WRAPPER_FAMILY14
   select NORTHBRIDGE_AMD_AGESA_WRAPPER_FAMILY14_ROOT_COMPLEX
   select NORTHBRIDGE_AMD_AGESA_WRAPPER_FAMILY14
@@ -42,7 +40,6 @@
   select AMDMCT
         select HAVE_ACPI_TABLES
   select BOARD_ROMSIZE_KB_4096
-  select ENABLE_APIC_EXT_ID
   select TINY_BOOTBLOCK
         select GFXUMA
 
@@ -86,18 +83,6 @@
         int
         default 2
 
-config SB_HT_CHAIN_ON_BUS0
-        int
-        default 1
-
-config HT_CHAIN_END_UNITID_BASE
-        hex
-        default 0x1
-
-config HT_CHAIN_UNITID_BASE
-        hex
-        default 0x0
-
 config IRQ_SLOT_COUNT
         int
         default 11
@@ -130,10 +115,9 @@
 	bool
 	default y
 
-#define CONFIG_VGA_BIOS_ID "1002,9804"
 config VGA_BIOS_ID
         string
-        default "1002,9804"
+        default "1002,9802"
 
 config DRIVERS_PS2_KEYBOARD
 	bool
Index: src/northbridge/amd/agesa_wrapper/family14/Kconfig
===================================================================
--- src/northbridge/amd/agesa_wrapper/family14/Kconfig	(revision 6551)
+++ src/northbridge/amd/agesa_wrapper/family14/Kconfig	(working copy)
@@ -18,17 +18,9 @@
 ##
 config NORTHBRIDGE_AMD_AGESA_WRAPPER_FAMILY14
 	bool
-	select HAVE_DEBUG_RAM_SETUP
-	select HAVE_DEBUG_SMBUS
-	select HYPERTRANSPORT_PLUGIN_SUPPORT
 	select MMCONF_SUPPORT
 	select NORTHBRIDGE_AMD_AGESA_WRAPPER_FAMILY14_ROOT_COMPLEX
 
-config HT3_SUPPORT
-	bool
-	default y
-	depends on NORTHBRIDGE_AMD_AGESA_WRAPPER_FAMILY14
-
 config HW_MEM_HOLE_SIZEK
 	hex
 	default 0x100000
@@ -49,30 +41,6 @@
  	default 16
 	depends on NORTHBRIDGE_AMD_AGESA_WRAPPER_FAMILY14
 
-config DIMM_DDR3
-	bool
-	default n
-	depends on NORTHBRIDGE_AMD_AGESA_WRAPPER_FAMILY14
-
-config DIMM_REGISTERED
-	bool
-	default n
-	depends on NORTHBRIDGE_AMD_AGESA_WRAPPER_FAMILY14
-
-if !DIMM_REGISTERED
-	config DIMM_SUPPORT
-		hex
-		default 0x0004
-endif
-
-if DIMM_DDR3
-	if DIMM_REGISTERED
-	  config DIMM_SUPPORT
-		  hex
-		  default 0x0005
-	endif
-endif
-
 config BOOTBLOCK_NORTHBRIDGE_INIT
   string
   default "northbridge/amd/agesa_wrapper/family14/bootblock.c"
